#include "fpga_cell_lut34.h"
#include "fpga_global.h"
#include <stdlib.h>

struct fpga_cell *fpga_cell_lut34_new()
{
	struct fpga_cell_lut34 *fpga_cell_lut_34;

	fpga_cell_lut_34 = malloc(sizeof(struct fpga_cell_lut34));

	return FPGA_TO_CELL(fpga_cell_lut_34);
}

struct fpga_cell *fpga_cell_lut34_get_next_isp(struct fpga_cell *cell,
					       enum fpga_isp_channel *isp_channel)
{
	switch (*isp_channel) {
	case FPGA_ISP_CHANNEL_LFDN:
		*isp_channel = FPGA_ISP_CHANNEL_NORMAL;
		return cell->cell_connections[BOTTOM];
	case FPGA_ISP_CHANNEL_NORMAL:
		return cell->cell_connections[RIGHT];
	case FPGA_ISP_CHANNEL_BACK:
		return cell->cell_connections[LEFT];
	default:
		report(LL_ERROR,
		       "Unhandled ISP channel %d for LUT34.",
		       *isp_channel);
	}
	return NULL;

}
